<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_page_background"
    android:orientation="vertical"
    tools:context=".fragment.HomeFragment">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingVertical="14dp">

        <LinearLayout
            android:id="@+id/ll_weather"
            android:layout_width="wrap_content"
            android:layout_height="36dp"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="14dp"
            android:background="@drawable/bg_e7eef6_18"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_wendu"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="15dp"
                android:layout_marginEnd="2dp"
                android:includeFontPadding="false"
                android:textColor="@color/black"
                android:textSize="16sp"
                tools:text="20" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="4dp"
                android:includeFontPadding="false"
                android:text="℃"
                android:textSize="16sp"
                android:textColor="@color/black"
                tools:ignore="HardcodedText" />

            <ImageView
                android:id="@+id/iv_weather"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="15dp"
                android:src="@mipmap/duoyun"
                tools:ignore="ContentDescription" />

        </LinearLayout>

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="16dp"
            android:text="@string/app_name"
            android:textColor="@color/black"
            android:textSize="19sp"
            android:textStyle="bold"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <ImageView
            android:id="@+id/fl_setting"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end|center_vertical"
            android:layout_marginEnd="14dp"
            android:src="@mipmap/shezhi"
            tools:ignore="ContentDescription" />


<!--        <androidx.appcompat.widget.AppCompatImageView-->
<!--            android:id="@+id/id_tv_xz"-->
<!--            android:layout_width="wrap_content"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:layout_gravity="end|center_vertical"-->
<!--            android:layout_marginEnd="48dp"-->
<!--            android:src="@mipmap/horoscope" />-->


    </FrameLayout>

    <androidx.core.widget.NestedScrollView
        android:id="@+id/nestedScrollView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <FrameLayout
                android:id="@+id/fl_scan"
                android:layout_width="match_parent"
                android:layout_height="280dp"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="-20dp">


                <com.base.filerecoveryrecyclebin.view.XmlLottieAnimationView
                    android:id="@+id/lottie"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:adjustViewBounds="true"
                    app:lottie_autoPlay="true"
                    app:lottie_rawRes="@raw/memosj" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:text="Clean"
                        android:textColor="@color/white"
                        android:textSize="30sp"
                        android:textStyle="bold"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="10dp"
                        android:text="Junk File"
                        android:textColor="@color/white"
                        android:textSize="15sp"
                        tools:ignore="HardcodedText" />
                </LinearLayout>


            </FrameLayout>

            <LinearLayout
                android:id="@+id/ll_storage"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="0dp"
                android:layout_marginBottom="20dp"
                android:visibility="gone"
                tools:visibility="visible">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="Used Space"
                    android:textColor="#666666"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <TextView
                    android:id="@+id/tv_storage"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="8dp"
                    android:textColor="@color/color_primary"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:text="52.0 GB : 128 GB" />
            </LinearLayout>


            <TextView
                android:id="@+id/tv_cl_jk"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginHorizontal="50dp"
                android:text="Clean Junk"
                android:gravity="center"
                android:textColor="@color/white"
                android:textSize="17sp"
                android:background="@drawable/bg_fa193b_fd4912_24"
                tools:ignore="HardcodedText" />
            <ImageView
                android:id="@+id/iv_arrow_up"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="25dp"
                android:src="@mipmap/xiala_h"
                tools:ignore="ContentDescription"
                tools:text="Scanned junk files 29.69MB" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:layout_marginHorizontal="8dp"
                android:orientation="horizontal"
                tools:ignore="DisableBaselineAlignment">

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_junk_clean"
                    android:layout_width="0dp"
                    android:layout_height="70dp"
                    android:layout_margin="8dp"
                    android:layout_weight="1"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="18dp"
                            android:src="@mipmap/c_cleanjunk"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:text="Clean Junk"
                            android:textColor="@color/black"
                            android:textSize="15sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />
                    </LinearLayout>


                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/cardBattery"
                    android:layout_width="0dp"
                    android:layout_height="70dp"
                    android:layout_margin="8dp"
                    android:layout_weight="1"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="18dp"
                            android:src="@mipmap/c_battery"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:text="Battery Info"
                            android:textColor="@color/black"
                            android:textSize="15sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />
                    </LinearLayout>


                </androidx.cardview.widget.CardView>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:orientation="horizontal"
                tools:ignore="DisableBaselineAlignment">

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_large_file"
                    android:layout_width="0dp"
                    android:layout_height="70dp"
                    android:layout_margin="8dp"
                    android:layout_weight="1"
                    android:background="@mipmap/photo"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="18dp"
                            android:src="@mipmap/c_large"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:text="Large File\nCleaner"
                            android:textColor="@color/black"
                            android:textSize="15sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />
                    </LinearLayout>


                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/cardScreenshot"
                    android:layout_width="0dp"
                    android:layout_height="70dp"
                    android:layout_margin="8dp"
                    android:layout_weight="1"
                    android:background="@mipmap/photo"
                    app:cardBackgroundColor="@color/white"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="18dp"
                            android:src="@mipmap/c_screenshot"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:text="Screenshot\nCleaner"
                            android:textColor="@color/black"
                            android:textSize="15sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />
                    </LinearLayout>


                </androidx.cardview.widget.CardView>

            </LinearLayout>

            <FrameLayout
                android:layout_marginHorizontal="16dp"
                android:background="@drawable/bg_ffffff_10"
                android:id="@+id/id_fl_native"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <io.supercharge.shimmerlayout.ShimmerLayout
                    android:id="@+id/shimmerLayout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom|center_horizontal"
                    android:layout_marginHorizontal="16dp"
                    android:layout_marginVertical="10dp"
                    app:shimmer_angle="25"
                    app:shimmer_animation_duration="2000"
                    app:shimmer_auto_start="true"
                    app:shimmer_color="#33ffffff"
                    app:shimmer_mask_width="0.2">

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@mipmap/adzhanweitu" />

                </io.supercharge.shimmerlayout.ShimmerLayout>

            </FrameLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginVertical="20dp"
                android:layout_marginStart="16dp"
                android:text="More"
                android:textColor="@color/black"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />


            <androidx.cardview.widget.CardView
                android:id="@+id/card_duplicate"
                android:layout_width="match_parent"
                android:layout_height="70dp"
                android:layout_marginHorizontal="15dp"
                android:layout_marginVertical="5dp"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="10dp"
                app:cardElevation="0dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="18dp"
                        android:src="@mipmap/c_duplicate"
                        tools:ignore="ContentDescription" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_weight="1"
                        android:layout_marginStart="8dp"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Duplicate Photos"
                            android:textColor="@color/black"
                            android:textSize="15sp"
                            android:textStyle="bold"
                            tools:ignore="HardcodedText" />

                        <TextView
                            android:id="@+id/tv_duplicate_size"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_horizontal"
                            android:layout_marginStart="14dp"
                            android:background="@drawable/bg_eb423b_2_5"
                            android:paddingHorizontal="4dp"
                            android:textColor="@color/white"
                            android:textSize="12sp"
                            android:visibility="gone"
                            tools:ignore="SmallSp"
                            tools:text="6.35 GB" />
                    </LinearLayout>


                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginHorizontal="15dp"
                        android:src="@mipmap/jianotu_h"
                        tools:ignore="ContentDescription" />

                </LinearLayout>


            </androidx.cardview.widget.CardView>


        </LinearLayout>

    </androidx.core.widget.NestedScrollView>


</LinearLayout>